Get Dataflows by ZIM policy

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflowsByPolicy/page/{itemsPerPage}/{pageNumber}/{matchingText}

By ZIM permission, a user may also list dataflows that owned by other users in the same company.

Path parameters

  • itemsPerPage string Required
  • pageNumber string Required
  • matchingText string Required

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • _id string

      id of the Dataflow

    • name string

      name of the Dataflow

    • description string

      description of the Dataflow

    • owningEntity string

      owner of the Dataflow

    • maxObjectsPerDataflow number

      Number of objects allowed per Dataflow

GET /dataflowsByPolicy/page/{itemsPerPage}/{pageNumber}/{matchingText}
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflowsByPolicy/page/{itemsPerPage}/{pageNumber}/{matchingText}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "_id": "56ee30b8b251c553547ac88e",
    "name": "DF14",
    "description": "",
    "owningEntity": "demo_5000",
    "maxObjectsPerDataflow": 20
  }
]